import request from '@/utils/request'

export function getNotReadInternalMessageTotal() {
  return request({
    url: '/app-api/ecw/internal-message/getNotReadInternalMessageTotal',
    method: 'get'
  })
}

export function createLeave(data) {
  return request({
    url: '/app-api/ecw/message-leave/create',
    method: 'post',
    data
  })
}

export function createComplaint(data) {
  return request({
    url: '/app-api/ecw/customer-complaint/create',
    method: 'post',
    data
  })
}

export function getConsultList(data) {
  return request({
    url: '/app-api/ecw/message-leave/page',
    method: 'get',
    params: data
  })
}

export function getComplaintList(data) {
  return request({
    url: '/app-api/ecw/customer-complaint/page',
    method: 'get',
    params: data
  })
}

export function getHelpList(data) {
  return request({
    url: '/app-api/system/help-doc/page',
    method: 'get',
    params: data
  })
}

export function getMessageList(data) {
  return request({
    url: '/app-api/ecw/internal-message/getMyInternalMessagePage',
    method: 'get',
    params: data
  })
}

export function getMessage(data) {
  return request({
    url: '/app-api/ecw/internal-message/get',
    method: 'get',
    params: data
  })
}

export function redInternalMessage(data) {
  return request({
    url: '/app-api/ecw/internal-message/redInternalMessage',
    method: 'get',
    params: data
  })
}

export function getBannerList(data) {
  return request({
    url: '/app-api/ecw/banner-pop/page',
    method: 'get',
    params: data
  })
}

export function getBannerUrlList(data) {
  return request({
    url: '/app-api/ecw/banner/page',
    method: 'get',
    params: data
  })
}

export function getBanner(data) {
  return request({
    url: '/app-api/ecw/banner/get',
    method: 'get',
    params: data
  })
}

export function getNoticeList(data) {
  return request({
    url: '/app-api/system/notice/page',
    method: 'get',
    params: data
  })
}

export function getNotice(data) {
  return request({
    url: '/app-api/system/notice/get',
    method: 'get',
    params: data
  })
}
